#VALUES

DIRDEBIANSOURCE="debian/source"
FILEDEBIANSOURCEFORMAT="$DIRDEBIANSOURCE/format"

# Test Debian directory is present
_die(){

   echo $1 ; exit 1 

}

# Some Test
_sanity_checks(){


   [ -n "$DEBFULLNAME" -a -n "$DEBEMAIL" ] || _die "DEBEMAIL and DEBFULLNAME values seems not correctly, please fix them"
   
   [ -d "debian" ] ||  _die "Debian directory not present, please exec this tool on program root directory"
   
   return 0

}

# Source File for Common functions (at the LliureX Way)
_test_package_place(){

     # Test if the "debian" directory is present and
     # store local directory

     WORK_PWD=$(pwd)

     [ -d $WORK_PWD/debian ] || _die "debian directory not exists .... Sure that we are in Debian Package Root Directory"

     return 0

}

_myecho(){


     echo "++++++++++++++++++++++"
     echo "$@"
     echo "++++++++++++++++++++++"
}

